Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001019graphvizBuild/Installpublic2005-12-15 05:422011-04-28 04:03
ReporterNaky 
Assigned Toellson 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionsuspended 
PlatformOSPowerPC-OSX-10.4.3OS Version
Summary0001019: Build Graphviz 2.6
Description



when i use port install graphviz, i've got this message :



<CD>
xserve0:/opt/local root# port install graphviz
---> Building graphviz with target all
Error: Target com.apple.build returned: shell command "cd "/opt/local/var/db/dports/build/_opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_graphics_graphviz/work/graphviz-2.6" && MACOSX_DEPLOYMENT_TARGET=10.4 make all" returned error 2
Command output: gv_ruby.cpp:3849: error: expected primary-expression before ')' token
gv_ruby.cpp:3849: error: expected `)' before '_wrap_firsthead'
gv_ruby.cpp:3850: error: expected primary-expression before ')' token
gv_ruby.cpp:3850: error: expected `)' before '_wrap_nexthead'
gv_ruby.cpp:3851: error: expected primary-expression before ')' token
gv_ruby.cpp:3851: error: expected `)' before '_wrap_firstin'
gv_ruby.cpp:3852: error: expected primary-expression before ')' token
gv_ruby.cpp:3852: error: expected `)' before '_wrap_nextin'
gv_ruby.cpp:3853: error: expected primary-expression before ')' token
gv_ruby.cpp:3853: error: expected `)' before '_wrap_firsttail'
gv_ruby.cpp:3854: error: expected primary-expression before ')' token
gv_ruby.cpp:3854: error: expected `)' before '_wrap_nexttail'
gv_ruby.cpp:3855: error: expected primary-expression before ')' token
gv_ruby.cpp:3855: error: expected `)' before '_wrap_firstnode'
gv_ruby.cpp:3856: error: expected primary-expression before ')' token
gv_ruby.cpp:3856: error: expected `)' before '_wrap_nextnode'
gv_ruby.cpp:3857: error: expected primary-expression before ')' token
gv_ruby.cpp:3857: error: expected `)' before '_wrap_firstattr'
gv_ruby.cpp:3858: error: expected primary-expression before ')' token
gv_ruby.cpp:3858: error: expected `)' before '_wrap_nextattr'
gv_ruby.cpp:3859: error: expected primary-expression before ')' token
gv_ruby.cpp:3859: error: expected `)' before '_wrap_rm'
gv_ruby.cpp:3860: error: expected primary-expression before ')' token
gv_ruby.cpp:3860: error: expected `)' before '_wrap_layout'
gv_ruby.cpp:3861: error: expected primary-expression before ')' token
gv_ruby.cpp:3861: error: expected `)' before '_wrap_render'
make[3]: *** [gv_ruby.lo] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
</CD>



Error: /opt/local/bin/port: Status 1 encountered during processing.



Have you got a solution ?



Thank's for your help.



Additional Information

[ellson] I've heard some reports of success with building the graphviz-2.7 development series on OSX
but graphviz-2.6 definitely has known problems with it.

I don't recall this specific problem, so you might also need to check on the versions
of swig and ruby. I use: swig-1.3.24 and ruby-1.8.3 or later.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID840
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTInactive
VERSION     2.6
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker